#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.

# pylint: disable=C0114, W1514

""" Setup for contacts wrester """

from pathlib import Path

from setuptools import setup

with open("contacts_wrest/_version.py", "r") as vfile:
    VERSION = vfile.readlines()[-1].split()[-1].strip("\"'")

README = Path("README.md").read_text()


requires = ["dsnparse", "mysqlclient", "psycopg2", "pycapo", "pymysql"]

setup(
    name="ssa-" + Path().absolute().name,
    version=VERSION,
    description="Workspaces-to-Archive metadata retriever.",
    long_description=README,
    author="NRAO SSA Team",
    author_email="dms-ssa@nrao.edu",
    url="TBD",
    license="GPL",
    install_requires=requires,
    keywords=[],
    packages=["contacts_wrest"],
    classifiers=["Programming Language :: Python :: 3.8"],
    entry_points={"console_scripts": ["contacts_wrest = contacts_wrest.contacts_wrester:main"]},
)
