#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
#
""" Tests for core sampler"""

import sys
from io import StringIO
from unittest.mock import patch

import core_sampler
import pytest
from core_sampler.core_sampler import main


def test_gets_eb_as_expected():
    """
    Do we get the output we expect for this 20A-465 execution block?

    :return:
    """
    sys.argv.append("-e")
    sys.argv.append("148839")

    with patch("sys.stdout", new=StringIO()) as fake_out:
        main()
        output = fake_out.getvalue()
        rows = output.split("\n")
        assert len(rows) == 86

    sys.argv.pop()
    sys.argv.pop()


def test_gets_project_as_expected():
    """
    Do we get the output we expect for 20A-465?

    :return:
    """
    sys.argv.append("-p")
    sys.argv.append("20A-465")

    with patch("sys.stdout", new=StringIO()) as fake_out:
        main()
        output = fake_out.getvalue()
        rows = output.split("\n")
        assert len(rows) == 704
    sys.argv.pop()
    sys.argv.pop()
