"""add qa_pass action for 'Await QA' to 'Complete' transition

Revision ID: 22db21f0ecb2
Revises: 2e185d05a21f
Create Date: 2021-10-27 09:26:21.350993

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "22db21f0ecb2"
down_revision = "2e185d05a21f"
branch_labels = None
depends_on = None


def upgrade():
    """
    add action for Awaiting QA => Complete transition

    :return:
    """
    op.execute(
        """
INSERT INTO capability_state_actions
    (transition_id, arguments, action_type)
    VALUES (
            (SELECT transition_id FROM capability_state_transitions
                WHERE capability_name='std_calibration'
                AND from_state='Awaiting QA'
                AND to_state='Complete'),
           'qa_pass', 'ExecuteWorkflow'
        )
    """
    )


def downgrade():
    """
    remove action for Awaiting QA => Complete transition

    :return:
    """
    op.execute(
        """
DELETE FROM capability_state_actions
WHERE action_type='ExecuteWorkflow'
AND arguments='qa_pass'
AND transition_id=(
    SELECT transition_id FROM capability_state_transitions
    WHERE capability_name='std_calibration'
      AND from_state='Awaiting QA'
      AND to_state='Complete'
      AND action_type='qa_pass'
    )
    """
    )
